Lua_ShopBtnItem = class("Lua_ShopBtnItem", Lua_ListCell);
function Lua_ShopBtnItem:ctor(p)
    self:superCall("ctor", p, "ShopBtnItem_skin");
end

function Lua_ShopBtnItem:buildShowItem()
	self:superCall("buildShowItem");
	self.lockSp:setEnable(false);
end

function Lua_ShopBtnItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_ShopBtnItem:setData(data)
	if data == nil then
		return;
	end
	self.data = data;

	self.btnText.text = data.name;
	self.btnSp:setGray(not data:checkOpened());
end

function Lua_ShopBtnItem:onPressClick()
	if self.data == nil or not self.data:checkOpened() then
		-- OperateAlert.showLangValue(125018);
		local vo = DataCenter.funcOpenUtil:getFuncOpenVoById(self.data.funcId);
		if vo.isOpen == false and vo.advanceMessage ~= "" then
			OperateAlert.show(vo.advanceMessage);
		end
		return;
	end

	Lua_MsgUtil.callFunc("SHOP_TYPE_SELECT", self.data);
end

function Lua_ShopBtnItem:updateSelect()
	if self.data == nil then
		return;
	end

    if self.data.shopType == DataCenter.shopData.shopType then
    	self.btnSp:setAltas("iconantlas1", "common_tab_002_s");
    	self.btnText.colorStr = Lua_ColorDefine.transColor("2064A1");
    else
    	self.btnSp:setAltas("iconantlas1", "common_tab_002");
    	self.btnText.colorStr = Lua_ColorDefine.transColor("FFFFFF");
    end
    self.btnSp:resetSize();
end